#######################################################################
# Copyright (c) 2025 ENEO Tecnologia S.L.
# This file is part of redBorder.
# redBorder is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# redBorder is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
# You should have received a copy of the GNU Affero General Public License
# along with redBorder. If not, see <http://www.gnu.org/licenses/>.
#######################################################################

class RecentFilter < ApplicationRecord
  belongs_to :user
  # validates :filters, presence: true # Optional validation
  # validates :source, presence: true # Optional validation
  before_save:calculate_filters_hash

  def calculate_filters_hash
    if filters_changed?
      self.filters_hash = Digest::SHA256.hexdigest(self.filters.to_s)
    end
  end
end
